Commit 23f76340 authored by Ondrej Sury's avatar Ondrej Sury

Convert sysvrc scripts to /lib/init/init-d-script snippets

parent 097e09f7
......@@ -16,6 +16,7 @@ Build-Depends: autotools-dev,
libsqlite3-dev,
libxml2-dev,
libxml2-utils,
lsb-base (>= 3.2-14),
mysql-client | mariadb-client,
opensc,
procps,
......
#! /bin/sh
#!/bin/sh
# kFreeBSD do not accept scripts as interpreters, using #!/bin/sh and sourcing.
if [ true != "$INIT_D_SCRIPT_SOURCED" ] ; then
set "$0" "$@"; INIT_D_SCRIPT_SOURCED=true . /lib/init/init-d-script
fi
### BEGIN INIT INFO
# Provides: opendnssec-enforcer
# Required-Start: $remote_fs $syslog
......@@ -9,121 +13,26 @@
# Description: Daemon to create and enforce DNSSEC KASP policy
### END INIT INFO
# Author: Ondřej Surý <ondrej@debian.org>
#
# Do NOT "set -e"
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DAEMON=/usr/sbin/ods-enforcerd
DESC="OpenDNSSEC Enforcer"
NAME=ods-enforcerd
DAEMON=/usr/sbin/$NAME
DAEMON_ARGS=""
PIDFILE=/run/opendnssec/enforcerd.pid
SCRIPTNAME=/etc/init.d/opendnssec-enforcer
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
do_tmpfiles() {
local type path mode user group
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
TMPFILES=/usr/lib/tmpfiles.d/$1.conf
#
# Function to create piddir if it doesn't exists
#
create_piddir() {
PIDDIR="$(dirname $PIDFILE)"
[ -d "$PIDDIR" ] && return 0
mkdir -p "$PIDDIR" || return 1
chown opendnssec:opendnssec "$PIDDIR" || return 1
if [ -r "$TMPFILES" ]; then
while read type path mode user group; do
if [ "$type" = "d" ]; then
mkdir -p "$path"
chmod "$mode" "$path"
chown "$user:$group" "$path"
fi
done
fi
}
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
do_start_prepare() {
do_tmpfiles $(basename $0)
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
create_piddir
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
restart|force-reload)
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
#! /bin/sh
#!/bin/sh
# kFreeBSD do not accept scripts as interpreters, using #!/bin/sh and sourcing.
if [ true != "$INIT_D_SCRIPT_SOURCED" ] ; then
set "$0" "$@"; INIT_D_SCRIPT_SOURCED=true . /lib/init/init-d-script
fi
### BEGIN INIT INFO
# Provides: opendnssec-signer
# Required-Start: $remote_fs $syslog
......@@ -9,122 +13,26 @@
# Description: Daemon to periodically sign DNSSEC zone files.
### END INIT INFO
# Author: Ondřej Surý <ondrej@debian.org>
#
# Do NOT "set -e"
# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DAEMON=/usr/sbin/ods-signerd
DESC="OpenDNSSEC Signer"
NAME=ods-signerd
DAEMON=/usr/sbin/$NAME
DAEMON_ARGS=""
PIDFILE=/run/opendnssec/signerd.pid
SCRIPTNAME=/etc/init.d/opendnssec-signer
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME
# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh
do_tmpfiles() {
local type path mode user group
# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions
TMPFILES=/usr/lib/tmpfiles.d/$1.conf
#
# Function to create piddir if it doesn't exists
#
create_piddir() {
PIDDIR="$(dirname $PIDFILE)"
[ -d "$PIDDIR" ] && return 0
mkdir -p "$PIDDIR" || return 1
chown opendnssec:opendnssec "$PIDDIR" || return 1
if [ -r "$TMPFILES" ]; then
while read type path mode user group; do
if [ "$type" = "d" ]; then
mkdir -p "$path"
chmod "$mode" "$path"
chown "$user:$group" "$path"
fi
done
fi
}
#
# Function that starts the daemon/service
#
do_start()
{
# Return
# 0 if daemon has been started
# 1 if daemon was already running
# 2 if daemon could not be started
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
|| return 1
start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
$DAEMON_ARGS \
|| return 2
do_start_prepare() {
do_tmpfiles $(basename $0)
}
#
# Function that stops the daemon/service
#
do_stop()
{
# Return
# 0 if daemon has been stopped
# 1 if daemon was already stopped
# 2 if daemon could not be stopped
# other if a failure occurred
start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE
RETVAL="$?"
[ "$RETVAL" = 2 ] && return 2
# Many daemons don't delete their pidfiles when they exit.
rm -f $PIDFILE
return "$RETVAL"
}
create_piddir
case "$1" in
start)
[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
do_start
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
stop)
[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
do_stop
case "$?" in
0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
status)
status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
;;
restart|force-reload)
log_daemon_msg "Restarting $DESC" "$NAME"
do_stop
case "$?" in
0|1)
do_start
case "$?" in
0) log_end_msg 0 ;;
1) log_end_msg 1 ;; # Old process is still running
*) log_end_msg 1 ;; # Failed to start
esac
;;
*)
# Failed to stop
log_end_msg 1
;;
esac
;;
*)
#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
exit 3
;;
esac
:
d /run/opendnssec 0775 opendnssec opendnssec - -
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment